Producto
Scrapea datos de páginas de producto de Kroger incluyendo precios, disponibilidad y opciones de cumplimiento usando ID de producto y especificaciones de tienda.
El kroger_product la fuente de datos está diseñada para recuperar páginas de productos de Kroger.
Solicitar muestras
En el ejemplo a continuación, hacemos una solicitud para recuperar la página del producto con ID 0021006550000, especificar la ubicación de entrega usando el código ZIP 65401, establecer el tipo de cumplimiento en delivery, y asignar el ID de la tienda a 1100002.
curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
"source": "kroger_product",
"product_id": "0021006550000",
"delivery_zip": "65401",
"fulfillment_type": "pickup",
"store_id": "01100002"
}'import requests
from pprint import pprint
# Structure payload.
payload = {
"source": "kroger_product",
"product_id": "0021006550000",
"delivery_zip": "65401",
"fulfillment_type": "pickup",
"store_id": "01100002",
}
# Get response.
response = requests.request(
"POST",
"https://realtime.oxylabs.io/v1/queries",
auth=("USERNAME", "PASSWORD"),
json=payload,
)
# Print prettified response to stdout.
pprint(response.json())We use synchronous Realtime integration method in our examples. If you would like to use Proxy Endpoint or asynchronous Push-Pull integration, refer to the integration methods section.
Request parameter values
Generic
Configuración básica y opciones de personalización para raspar páginas de productos de Kroger.
- mandatory parameter
Localization
Customize results based on store locations, delivery areas, and preferred fulfillment methods.
store_id
Specify a store. See the available values here. The ID must start with '0'.
-
Required when fulfillment_type is set to pickup or in_store.
delivery_zip
Specify delivery location ZIP code.
-
Required when fulfillment_type is set to delivery.
fulfillment_type
Specify order fulfillment method. Available values: pickup, delivery, in_store.
pickup (if only store_id is provided)
Requires store_id for pickup and in_store, or delivery_zip for delivery.
Dependecies explained:
pickupandin_storevalues use thestore_idparameter to determine the correct store.deliveryuses thedelivery_zipparameter to specify the delivery location.If only
store_idis provided, andfulfillment_typeis not specified, the default type ispickup.
If the fulfillment_type and store_id/delivery_zip combination is invalid (unsupported by Kroger), the scraped page will return with a 404 status.
Última actualización
¿Te fue útil?

